'From Squeak3.1alpha of 27 September 2001 [latest update: #4347] on 11 March 2002 at 7:00:01 pm'!
"Change Set:		CommandShell-menuV3-0
Date:			10 March 2002
Author:			David T. Lewis

This change set adds 'squeak shell' (a new CommandShell window) to
the world menu for Morphic and MVC.

These changes will clobber your previous world menus, eliminating any
additions or changes which you or others (including SqC) may have applied.
Check the results with a version browser, or just make the changes by hand
if you want to be safe."!


!ScreenController methodsFor: 'menu messages' stamp: 'dtl 7/2/2001 21:28'!
openSqueakShell
	CommandShell open! !

!ScreenController methodsFor: 'nested menus' stamp: 'dtl 7/2/2001 21:29'!
openMenu
	^ SelectionMenu labelList:
		#(	'keep this menu up'

			'squeak shell'
			'browser'
			'package browser'
			'method finder'
			'workspace'
			'file list'
			'file...'
			'transcript'
			'morphic world'

			'simple change sorter'
			'dual change sorter'

			'mvc project'
			'morphic project'
			)
		lines: #(1 10 12)
		selections: #(durableOpenMenu
openSqueakShell openBrowser openPackageBrowser openSelectorBrowser openWorkspace openFileList
openFile openTranscript openMorphicWorld openSimpleChangeSorter openChangeManager
openProject  openMorphicProject  )
"
ScreenController  new openMenu startUp
"! !


!TheWorldMenu methodsFor: 'construction' stamp: 'dtl 10/19/2001 09:47'!
openMenu
        "Build the open window menu for the world."

        | menu |
        menu _ self menu: 'open...'.
        self fillIn: menu from: {

                {'squeak shell' . {CommandShell . #open} }.
                {'browser (b)' . { Browser . #openBrowser} }.
                {'package browser' . { PackagePaneBrowser . #openBrowser} }.
                {'workspace (k)' . {self . #openWorkspace} }.
                {'file list' . {self . #openFileList} }.
                {'file...' . { FileList . #openFileDirectly} }.
                {'transcript (t)' . {self . #openTranscript} }.
                "{'inner world' . { WorldWindow . #test1} }."
                nil.
                {'method finder' . { self . #openSelectorBrowser} }.
                {'message names (W)' . { self . #openMessageNames} }.
			 nil.
                {'simple change sorter' . {self . #openChangeSorter1} }.
                {'dual change sorter' . {self . #openChangeSorter2} }.
                nil.
                {'email reader' . {self . #openEmail} }.
                {'web browser' . { Scamper . #openAsMorph} }.
                {'IRC chat' . {self . #openIRC} }.
                nil.
        }.
        self mvcProjectsAllowed ifTrue:
                [self fillIn: menu from: { {'mvc project' . {self. #openMVCProject} } }].

        ^ self fillIn: menu from: { 
                {'morphic project' . {self. #openMorphicProject} }.
        }.! !

